import { NextFunction, Response } from 'express';
import { OpenAPIV3, OpenApiRequest, RequestValidatorOptions } from '../framework/types';
import { ParametersSchema } from './schemas/parameters.parse';
interface DraftProperties extends ParametersSchema {
    body?: OpenAPIV3.ReferenceObject | OpenAPIV3.SchemaObject | {};
}
export interface DraftSchema {
    required: string[];
    properties: DraftProperties;
}
export declare class RequestValidator {
    private _middlewareCache;
    private _apiDocs;
    private ajv;
    private _requestOpts;
    constructor(apiDocs: OpenAPIV3.Document, options?: RequestValidatorOptions);
    validate(req: OpenApiRequest, res: Response, next: NextFunction): void;
    private buildMiddleware;
    private rejectUnknownQueryParams;
}
export {};
