import { OpenAPIV3 } from '../../framework/types';
declare type Parameter = OpenAPIV3.ReferenceObject | OpenAPIV3.ParameterObject;
interface ParseType {
    name: string;
    reqField: string;
}
export interface ParseJson extends ParseType {
}
export interface ParseArrayExplode extends ParseType {
}
export interface ParseArray extends ParseArrayExplode {
    delimiter: string;
}
export interface ParseObjectExplode extends ParseType {
    properties: string[];
}
export interface ParametersSchema {
    query: object;
    headers: object;
    params: object;
    cookies: object;
}
export interface ParametersParse {
    schema: ParametersSchema;
    parseJson: ParseJson[];
    parseArray: ParseArray[];
    parseArrayExplode: ParseArrayExplode[];
    parseObjectExplode: ParseObjectExplode[];
}
/**
 * A class top arse incoing parameters and populate a list of request fields e.g. id and field types e.g. query
 * whose value must later be parsed as a JSON object, JSON Exploded Object, JSON Array, or JSON Exploded Array
 */
export declare class ParametersSchemaParser {
    private _apiDocs;
    private parseJson;
    private parseArray;
    private parseArrayExplode;
    private parseObjectExplode;
    constructor(apiDocs: OpenAPIV3.Document);
    /**
     * Parse incoing parameters and populate a list of request fields e.g. id and field types e.g. query
     * whose value must later be parsed as a JSON object, JSON Exploded Object, JSON Array, or JSON Exploded Array
     * @param path
     * @param parameters
     */
    parse(path: string, parameters?: Parameter[]): ParametersParse;
    private handleContent;
    private handleFormExplode;
}
export {};
