import { OpenApiRequest } from '../../framework/types';
import { ParametersParse } from './parameters.parse';
import { DraftSchema } from '../openapi.request.validator';
/**
 * A class top arse incoing parameters and populate a list of request fields e.g. id and field types e.g. query
 * whose value must later be parsed as a JSON object, JSON Exploded Object, JSON Array, or JSON Exploded Array
 */
export declare class ParametersTransform {
    private parameters;
    private schema;
    constructor(parseResult: ParametersParse, schema: DraftSchema);
    applyExplodedJsonTransform(req: OpenApiRequest): void;
    applyJsonTransform(req: OpenApiRequest): void;
    applyJsonArrayTransform(req: OpenApiRequest): void;
    applyExplodedJsonArrayTransform(req: OpenApiRequest): void;
    applyPathTransform(req: OpenApiRequest): void;
}
